Name: jakarta-tomcat
Version: 3.2.3
Release: 1C3
Source: %{name}-%{version}.tar.gz
Source: %{name}-%{version}-src.tar.gz
# Source1: tomcat.init 
Source2: mod_jk.conf
Source3: mod_jk.conf-auto
Source4: web.xml
Source5: server.xml
Source6: jspservletstuff.tar.gz 
Source7: tomcat.policy
Source8: tomcat.logrotate 

Patch0: jakarta-tomcat-3.2.3-cobalt-linux2.patch
Requires: apache
Copyright: distributable
Group: Utilities
URL: http://jakarta.apache.org/
Summary: Tomcat JSP/Servlet engine 
BuildRoot: /tmp/jakarta-root

%description
A JSP/servlet engine to plug into Cobalt machines.

%changelog
* Mon Nov 26 2001 Will DeHaan <null@sun.com> 3.2.3-1C2
  - removed stray config data from tomcat.policy

* Wed Sep 26 2001 Will DeHaan <null@sun.com> 3.2.3-1C1
  - Rev to 3.2.3
  - Disable port 8007 service

* Mon Aug 6 2001 Will DeHaan <null@sun.com> 3.2.2-1C4
  - Apache 1.3.20 configuration changes

* Fri Jun 15 2001 Will DeHaan <null@sun.com>
  - Disable http service on port 8080
  - Disable examples

* Wed May 30 2001 Will DeHaan <null@sun.com>
  - version 3.2.2
  - Updated paths in mod_jk.conf

* Tue May 8 2001 Will DeHaan <null@sun.com>
  - Updated for sausalito Cobalt Linux 

* Thu Apr 14 2001 Timothy Stonis <timothy.stonis@sun.com> 
  - First RPM 

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
cd $RPM_BUILD_DIR; tar -xzvf $RPM_SOURCE_DIR/%{name}-%{version}.tar.gz
# rm -rf $RPM_BUILD_DIR/%{name}-%{version}/conf
%setup -n %{name}-%{version}-src
cd ..
%patch0

%build
(source /etc/profile.d/java.sh; cd src/native/apache1.3; make -f Makefile.linux)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/java/%{name}-%{version} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/	\
	$RPM_BUILD_ROOT/etc/logrotate.d/	\
        $RPM_BUILD_ROOT/usr/lib/apache/
	
ln -s $RPM_BUILD_ROOT/usr/java/%{name}-%{version} $RPM_BUILD_ROOT/usr/java/%{name}

cp -r $RPM_BUILD_DIR/%{name}-%{version} $RPM_BUILD_ROOT/usr/java
# cp -r $RPM_SOURCE_DIR/tomcat.init $RPM_BUILD_ROOT/etc/rc.d/init.d/
# chmod +x $RPM_BUILD_ROOT/etc/rc.d/init.d/tomcat.init
cp -r $RPM_SOURCE_DIR/jspservletstuff.tar.gz $RPM_BUILD_ROOT/usr/java/%{name}/conf
cp -r $RPM_SOURCE_DIR/mod_jk.conf $RPM_BUILD_ROOT/usr/java/%{name}/conf
cp -r $RPM_SOURCE_DIR/mod_jk.conf-auto $RPM_BUILD_ROOT/usr/java/%{name}/conf
cp -r $RPM_SOURCE_DIR/web.xml $RPM_BUILD_ROOT/usr/java/%{name}/conf
cp -r $RPM_SOURCE_DIR/server.xml $RPM_BUILD_ROOT/usr/java/%{name}/conf
cp -r $RPM_SOURCE_DIR/tomcat.policy $RPM_BUILD_ROOT/usr/java/%{name}/tomcat.policy
cp -r $RPM_SOURCE_DIR/tomcat.policy $RPM_BUILD_ROOT/usr/java/%{name}/tomcat.policy
cp $RPM_SOURCE_DIR/tomcat.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/tomcat
cp $RPM_BUILD_DIR/%{name}-%{version}-src/src/native/apache1.3/mod_jk.so $RPM_BUILD_ROOT/usr/lib/apache/

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
# Make version link
mv /usr/java/%{name} /usr/java/%{name}.old >/dev/null 2>&1
ln -s /usr/java/%{name}-%{version} /usr/java/%{name}

# Get rid of the sample stuff for now...
if [ -d /usr/java/%{name}/webapps ]; then
	(cd /usr/java/%{name}/; mv webapps webapps.inactive; mkdir webapps )
fi

# Make control scripts executable
chmod +x /usr/java/%{name}-%{version}/bin/*.sh

%files
%config /etc/logrotate.d/tomcat
/usr/java/%{name}-%{version}
# /etc/rc.d/init.d/tomcat.init
/usr/lib/apache/mod_jk.so
